# gdcm::PVRGCodec Class Reference

PVRGCodec. More...

`#include <gdcmPVRGCodec.h>`

Inheritance diagram for gdcm::PVRGCodec:
[legend]
Collaboration diagram for gdcm::PVRGCodec:
[legend]

List of all members.

## Public Member Functions
| PVRGCodec ()
| ~PVRGCodec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it).
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it).
bool | Code (DataElement const &in, DataElement &out)
| Code.
bool | Decode (DataElement const &is, DataElement &os)
| Decode.

## Detailed Description

PVRGCodec.

Note:
  pvrg is a broken implementation of the JPEG standard. It is known to have a bug in the 16bits lossless implementation of the standard.

In an ideal world, you should not need this codec at all. But to support some broken file such as:

PHILIPS_Gyroscan-12-Jpeg_Extended_Process_2_4.dcm

we have to...

## Constructor & Destructor Documentation

gdcm::PVRGCodec::PVRGCodec | ( |  | ) |

gdcm::PVRGCodec::~PVRGCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::PVRGCodec::CanCode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this coder support this transfer syntax (can code it).

Implements gdcm::Coder.

bool gdcm::PVRGCodec::CanDecode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this decoder support this transfer syntax (can decode it).

Reimplemented from gdcm::ImageCodec.

bool gdcm::PVRGCodec::Code | ( | DataElement const & | in,
|  | DataElement & | out |
| ) |  |  | `[virtual]`

Code.

Reimplemented from gdcm::Coder.

bool gdcm::PVRGCodec::Decode | ( | DataElement const & | is,
|  | DataElement & | os |
| ) |  |  | `[virtual]`

Decode.

Reimplemented from gdcm::ImageCodec.

The documentation for this class was generated from the following file:

- gdcmPVRGCodec.h